Submit EVM Proof Verification
curl --request POST \
--url https://api.axiom.xyz/v1/verify \
--header 'Axiom-API-Key: <api-key>' \
--header 'Content-Type: multipart/form-data' \
--form proof=@example-filefrom contextlib import ExitStack
import json
import requests
url = "https://api.axiom.xyz/v1/verify"
headers = json.loads("{\"Axiom-API-Key\":\"<api-key>\"}")
with ExitStack() as stack:
files = [("proof", ("./proof", stack.enter_context(open("./proof", "rb"))))]
files += []
response = requests.request("POST", url, headers=headers, files=files)
print(response.text)// Node.js 22+
import { openAsBlob } from 'node:fs';
const form = new FormData();
form.append("proof", await openAsBlob("./proof"), "./proof");
const response = await fetch("https://api.axiom.xyz/v1/verify", {
method: "POST",
headers: {
"Axiom-API-Key": "<api-key>"
},
body: form
});
console.log(await response.text());<?php
$boundary = bin2hex(random_bytes(16));
$body = '';
$body .= "--" . $boundary . "\r\nContent-Disposition: form-data; name=\"" . 'proof' . "\"; filename=\"" . './proof' . "\"\r\nContent-Type: application/octet-stream" . "\r\n\r\n";
$body .= file_get_contents('./proof') . "\r\n";
$body .= "--" . $boundary . "--\r\n";
$curl = curl_init('https://api.axiom.xyz/v1/verify');
curl_setopt_array($curl, [
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_POSTFIELDS => $body,
CURLOPT_HTTPHEADER => ['Axiom-API-Key: <api-key>', 'Content-Type: multipart/form-data; boundary=' . $boundary],
]);
$response = curl_exec($curl);
if ($response === false) { throw new RuntimeException(curl_error($curl)); }
curl_close($curl);
echo $response;package main
import (
"bytes"
"fmt"
"io"
"mime/multipart"
"net/http"
"os"
"path/filepath"
)
func main() {
var body bytes.Buffer
writer := multipart.NewWriter(&body)
file0, err := os.Open("./proof")
if err != nil { panic(err) }
part0, err := writer.CreateFormFile("proof", filepath.Base(file0.Name()))
if err != nil { panic(err) }
if _, err = io.Copy(part0, file0); err != nil { panic(err) }
file0.Close()
if err := writer.Close(); err != nil { panic(err) }
req, err := http.NewRequest("POST", "https://api.axiom.xyz/v1/verify", &body)
if err != nil { panic(err) }
req.Header.Set("Content-Type", writer.FormDataContentType())
req.Header.Set("Axiom-API-Key", "<api-key>")
res, err := http.DefaultClient.Do(req)
if err != nil { panic(err) }
defer res.Body.Close()
data, err := io.ReadAll(res.Body)
if err != nil { panic(err) }
fmt.Println(string(data))
}HttpResponse<String> response = Unirest.post("https://api.axiom.xyz/v1/verify")
.header("Axiom-API-Key", "<api-key>")
.field("proof", new java.io.File("./proof"))
.asString();require 'uri'
require 'net/http'
url = URI("https://api.axiom.xyz/v1/verify")
request = Net::HTTP::Post.new(url)
request["Axiom-API-Key"] = "<api-key>"
files = []
begin
form = [
["proof", (files << File.open("./proof", 'rb')).last]
]
request.set_form(form, 'multipart/form-data')
response = Net::HTTP.start(url.host, url.port, use_ssl: url.scheme == 'https') { |http| http.request(request) }
puts response.body
ensure
files.each(&:close)
end{
"id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Proof Verification
Verify EVM proof
Submit an EVM proof for verification. Upload the proof file and specify the configuration used.
POST
/v1/verify
Submit EVM Proof Verification
curl --request POST \
--url https://api.axiom.xyz/v1/verify \
--header 'Axiom-API-Key: <api-key>' \
--header 'Content-Type: multipart/form-data' \
--form proof=@example-filefrom contextlib import ExitStack
import json
import requests
url = "https://api.axiom.xyz/v1/verify"
headers = json.loads("{\"Axiom-API-Key\":\"<api-key>\"}")
with ExitStack() as stack:
files = [("proof", ("./proof", stack.enter_context(open("./proof", "rb"))))]
files += []
response = requests.request("POST", url, headers=headers, files=files)
print(response.text)// Node.js 22+
import { openAsBlob } from 'node:fs';
const form = new FormData();
form.append("proof", await openAsBlob("./proof"), "./proof");
const response = await fetch("https://api.axiom.xyz/v1/verify", {
method: "POST",
headers: {
"Axiom-API-Key": "<api-key>"
},
body: form
});
console.log(await response.text());<?php
$boundary = bin2hex(random_bytes(16));
$body = '';
$body .= "--" . $boundary . "\r\nContent-Disposition: form-data; name=\"" . 'proof' . "\"; filename=\"" . './proof' . "\"\r\nContent-Type: application/octet-stream" . "\r\n\r\n";
$body .= file_get_contents('./proof') . "\r\n";
$body .= "--" . $boundary . "--\r\n";
$curl = curl_init('https://api.axiom.xyz/v1/verify');
curl_setopt_array($curl, [
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_POSTFIELDS => $body,
CURLOPT_HTTPHEADER => ['Axiom-API-Key: <api-key>', 'Content-Type: multipart/form-data; boundary=' . $boundary],
]);
$response = curl_exec($curl);
if ($response === false) { throw new RuntimeException(curl_error($curl)); }
curl_close($curl);
echo $response;package main
import (
"bytes"
"fmt"
"io"
"mime/multipart"
"net/http"
"os"
"path/filepath"
)
func main() {
var body bytes.Buffer
writer := multipart.NewWriter(&body)
file0, err := os.Open("./proof")
if err != nil { panic(err) }
part0, err := writer.CreateFormFile("proof", filepath.Base(file0.Name()))
if err != nil { panic(err) }
if _, err = io.Copy(part0, file0); err != nil { panic(err) }
file0.Close()
if err := writer.Close(); err != nil { panic(err) }
req, err := http.NewRequest("POST", "https://api.axiom.xyz/v1/verify", &body)
if err != nil { panic(err) }
req.Header.Set("Content-Type", writer.FormDataContentType())
req.Header.Set("Axiom-API-Key", "<api-key>")
res, err := http.DefaultClient.Do(req)
if err != nil { panic(err) }
defer res.Body.Close()
data, err := io.ReadAll(res.Body)
if err != nil { panic(err) }
fmt.Println(string(data))
}HttpResponse<String> response = Unirest.post("https://api.axiom.xyz/v1/verify")
.header("Axiom-API-Key", "<api-key>")
.field("proof", new java.io.File("./proof"))
.asString();require 'uri'
require 'net/http'
url = URI("https://api.axiom.xyz/v1/verify")
request = Net::HTTP::Post.new(url)
request["Axiom-API-Key"] = "<api-key>"
files = []
begin
form = [
["proof", (files << File.open("./proof", 'rb')).last]
]
request.set_form(form, 'multipart/form-data')
response = Net::HTTP.start(url.host, url.port, use_ssl: url.scheme == 'https') { |http| http.request(request) }
puts response.body
ensure
files.each(&:close)
end{
"id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Query Parameters
Configuration ID used to generate the proof (format: cfg_{ulid})
Body
multipart/form-data
EVM proof file to verify (.json format)
Response
application/json
Successful Response
Verification job submitted successfully
Invalid proof file or configuration
Configuration not found
Validation Error
Generic response for POST operations.